PHPExcel_Shared_XMLWriter

category | PHPExcel
package | PHPExcel_Shared
copyright | Copyright (c) 2006 - 2014 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Create a new PHPExcel_Shared_XMLWriter instance

    __construct(int $pTemporaryStorage, string $pTemporaryStorageFolder)

### Parameters

#### $pTemporaryStorage

`int`

Temporary storage location

#### $pTemporaryStorageFolder

`string`

Temporary storage folder

## Destructor

    __destruct()

## Get written data

    getData() : \$data

### Returns

`\$data`

## Fallback method for writeRaw, introduced in PHP 5.2

    writeRawData(string $text) : string

### Parameters

#### $text

`string`

### Returns

`string`

### Properties

##

    $_tempFileName : string

### Constants

## STORAGE_DISK

    STORAGE_DISK

## Temporary storage method

    STORAGE_MEMORY